#ifndef LIBFAWK_CAST_H
#define LIBFAWK_CAST_H

#include <libfawk/libfawk.h>

/* Convert a cell to a different type, in-place. The rules of conversion
   matches how a cast works in a fawk script. */
FAWK_API int fawk_cast_to_num(fawk_ctx_t *ctx, fawk_cell_t *cell);
FAWK_API int fawk_cast_to_str(fawk_ctx_t *ctx, fawk_cell_t *cell);

#endif /* LIBFAWK_CAST_H */
